 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */
Page({

    /**
     * 页面的初始数据
     */
    data: {
        categorieArr: [],       //分类
        articlesArr : [] ,      //列表
        page        : {},      //分页信息
        listType    : '',      //类型
        lodingStats : false,  //加载状态
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取列表分类
        this.categoriesInfo();
    },

    // 列表分类
    categoriesInfo(){
        wx.$api.user.mallCategories({
            parent_id : this.data.listType
        }).then(res => {
            this.setData({
                categorieArr: res.data,
                listType    : res.data[0].category_id
            })
             // 获取列表
            this.articlesInfo();
        }).catch(err => {})
    },

    // 列表
    articlesInfo(page){
        wx.$api.user.mallGoods({
            category_id : this.data.listType,
            page : page || 1
        }).then(res => {
            let listArr = this.data.articlesArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.data)
            this.setData({
                articlesArr : newData,
                page        : res.data.page,
                lodingStats : false
            })
            wx.stopPullDownRefresh()
        }).catch(err => {})
    },

    /**
     * 状态筛选
     */
    onTabs(val){
        if(this.data.listType === val) return
        this.setData({
            listType: val.currentTarget.dataset.type
        })
        
        // 商品详情数据
        this.articlesInfo();
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取列表
		this.articlesInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取列表
		    this.articlesInfo(pageNumber);
        }
    }
})